package com.library.model;

import java.math.BigDecimal;

public class AutomaticQueueModel {

    /**
     * order_phone : 066301180
     * order_money : 1.0
     * id : 1
     * order_num : 456b5f7e-916e-b222-8604-0dbcc41dbf72
     * order_code_id : 121
     * segment_id : 3
     * status : 0
     */

    private String order_phone;         //充值手机号
    private BigDecimal order_money;     //充值金额（美元）
    private int id;
    private String order_num;         //订单编号
    private int order_code_id;     //订单表id
    private int segment_id;     //对应手机服务商表的paygo_id
    private int status;         //0.等待充值，1充值处理中

    public String getOrder_phone() {
        return order_phone;
    }

    public void setOrder_phone(String order_phone) {
        this.order_phone = order_phone;
    }

    public BigDecimal getOrder_money() {
        return order_money;
    }

    public void setOrder_money(BigDecimal order_money) {
        this.order_money = order_money;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getOrder_num() {
        return order_num;
    }

    public void setOrder_num(String order_num) {
        this.order_num = order_num;
    }

    public int getOrder_code_id() {
        return order_code_id;
    }

    public void setOrder_code_id(int order_code_id) {
        this.order_code_id = order_code_id;
    }

    public int getSegment_id() {
        return segment_id;
    }

    public void setSegment_id(int segment_id) {
        this.segment_id = segment_id;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }
}